function initCheck(){
    
        // 仅选择日期
        $("#start-time").datetimepicker({
            language: "zh-CN",
            weekStart: 1,
            todayBtn: 1,
            autoclose: 1,
            todayHighlight: 1,
            startView: 2,
            minView: 2,
            forceParse: 0,
            format: "yyyy-mm-dd"
        });
        // 仅选择日期
        $("#end-time").datetimepicker({
            language: "zh-CN",
            weekStart: 1,
            todayBtn: 1,
            autoclose: 1,
            todayHighlight: 1,
            startView: 2,
            minView: 2,
            forceParse: 0,
            format: "yyyy-mm-dd"
        });
        if($.checkTask) {
            setFeSelect("#fsList",$.checkTask.deptid);
            setLaneSelect("#lane",$.checkTask.checked_location);
            get_common_service('user/getUserById/'+$.checkTask.checked_person, null, function(data){
                $("#checked_person").html(data.truename);
            }) 
            //查询评分情况
            queryScores();
        }
}
    // 使用data参数更新数据：
    function queryScores(){
        var data = {
            "task_id": $.checkTask.id
        }
        var cols = [
                    {width: 80, text: '序号', type: 'number', flex: true, colClass: 'text-center',field: 'num'},
                    {width: 160, text: '评分记录', type: 'string', flex: true, sort: 'down',field: 'content'},
                    {width: 80, text: '分数', type: 'string', flex: true, colClass: '',field: 'check_item_score'},
                    {width: 160, text: '操作', type: 'string', flex: true, field: 'id',
                        oper:[
                            {func:'showEditScore',text:'修改',icon_class:'icon-edit'},
                            {func:'deleteScore',text:'删除',icon_class:'icon-remove-circle'}
                        ]
                    }
                ];
        
        // var pager = {
        //     page_size:10
        // }
        $('.datatable').mytable({'cols':cols,
                                'url':"/score/getScoreList/",
                                'param':data}
                                );
    }
    function showEditScore(id){
        // deleteItem4Common(id,"/score/delete/",queryScores);
        var rowData=getItemByIdFromArr(id,$('.datatable').mytable('getTableData'));
        showPics(rowData.pics);
    }

    function deleteScore(id){
        deleteItem4Common(id,"/score/delete/",queryScores);
    }

    function showPics(pics){
        var picStr='';
        $('#img_container').html(picStr);
        if(pics){
            var picArr = pics.split(',');
            for(var i in picArr){
                var pic = '<div id="img_item_'+i+'" class="col-md-4 col-sm-6 col-lg-3">'
                    +  '<a href="javascript:void(0)" onclick="removeImg(\'#img_item_'+i+'\')" style="float:right;position:absolute;z-index:100;"><span class="label label-danger"><i class="icon icon-remove-circle"></i> 删除</span></a>'
                    +  '<a class="card lightbox-toggle" href="'+picArr[i]+'" style="position:absolute">'
                    +      '<img src="'+picArr[i]+'" alt="">'
                    +  '</a>'
                    +'</div>';
                picStr+=pic;
            }
            $('#img_container').html(picStr);
            $('a.lightbox-toggle').lightbox();
        }
    }

    function removeImg(img_id){
        $(img_id).remove();
    }

    function clearAllImg(){
        $('#img_container').empty();
    }
    function showPre(id){
        // $('#myModal').modal({name:"dd"});
        changePage("/view/mytask/taskDetail.html");
    }

    function saveValidReason(){
        alert("提交成功！");
        $('#validSubmitWin').modal('toggle');
    }
    function changePerson(id){
        $('#checkedPerson').html(id);
        $('#changePersonWin').modal('toggle');
    }

    function score(score){
        alert("扣分："+score);
        $('#scoreWin').modal('toggle');
    }

    function refuseApply(){
        alert("拒绝申请");
        $('#refuseApplyWin').modal('toggle');
    }

    function agreeApply(){
        alert("同意申请");
    }